Bug 351781 - X ignoring Modeline, VertRefresh and HorizSync options in xorg.conf
X ignoring Modeline, VertRefresh and HorizSync options in xorg.conf
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-sis (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Adam Jackson
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2007-10-25 01:11 EDT by Mark Huth
Modified: 2012-03-09 17:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-03-09 17:40:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Current xorg.conf with special settings (1.09 KB, application/octet-stream)
2007-10-25 01:13 EDT, Mark Huth
no flags Details
Log seems to show that video modes are automatically detected. However they aren't used. (33.25 KB, text/plain)
2007-10-25 01:15 EDT, Mark Huth
no flags Details

  None (edit)
Description Mark Huth 2007-10-25 01:11:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20070312 Red Hat/ Firefox/

Description of problem:
I have a customer who is having problems getting widescreen resolutions to work on their widescreen monitor.  It displays non-widescreen resolutions ok leaving 2 black sections down either side.  Graphics card is SiS, monitor is LG L204WT and using RHEL5.  I've attached xorg.conf and Xorg.0.log files.  xorg.conf files generated by system-config-display (various switches tried) and X -configure haven't had any impact.

Interestingly I got him to run 'xvidtune' and this allowed the screen to be filled.  Customer saved the settings generated by xvidtune in xorg.conf but when X restarts the settings are ignored.  He has to run xvidtune every time to get the screen filled again.  I can see similar settings being automatically detected in the Xorg.0.log file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start X.  Output is displayed incorrectly
2. Use 'xvidtune' to adjust the display to fill the screen.  Have xvidtune write out current video settings.
3. Put video settings in xorg.conf
4. Restart X.  Output reverts to previous settings.
5. xvidtune has to be re-run each time X starts.

Actual Results:
Special Modeline, VertRefresh and HorizSync settings in xorg.conf are ignored by X.  Output is displayed with 2 black sections down either side of the screen regardless of settings.

Expected Results:
Output should fill whole screen, preferably without having to fiddle with video mode settings.  It should 'just work' after setting the resolution in system-config-display or equivalent.

Additional info:
Sent an email to tech-list on 25/10/07 about this and Matěj Cepl recommended I file a bugzilla.
Comment 1 Mark Huth 2007-10-25 01:13:26 EDT
Created attachment 237031 [details]
Current xorg.conf with special settings
Comment 2 Mark Huth 2007-10-25 01:15:15 EDT
Created attachment 237041 [details]
Log seems to show that video modes are automatically detected.  However they aren't used.
Comment 3 Adam Jackson 2012-03-09 17:40:29 EST
sis driver almost certainly not going to get updated in RHEL5 at this point.  If this is still an issue in RHEL6, please reopen and update the product version to match.

Note You need to log in before you can comment on or make changes to this bug.